current_design mR4000

set_operating_conditions  -analysis_type on_chip_variation

 set timing_remove_clock_reconvergence_pessimism true
# set si_enable_analysis true
# set timing_crpr_remove_clock_to_data_crp true

set_propagated_clock [all_clocks]

 set_timing_derate -early 0.95
 set_timing_derate -late 1.00


set_wire_load_mode top
create_clock -period 5 [get_ports Clk]
set clock [get_clock Clk]
set_clock_uncertainty 0.5 $clock
set_clock_latency -min 3.5 $clock
set_clock_latency -max 5.5 $clock
set_clock_transition -min 0.25 $clock
set_clock_transition -max 0.3 $clock



if {$maxtypmin_case == 0} {
#max case
#report_timing -to [all_outputs] > ./reports_sta/timing_max.rpt
report_timing -start_end_pair  > ./reports_sta/timing_max.rpt
report_constraint -all_violator -verbose > ./reports_sta/violator_max.rpt
report_constraint -all_violator  > ./reports_sta/violator1_max.rpt
report_power   > ./reports_sta/power_max.rpt
#extract_model -output ./reports_sta/single_dig_max -library_cell -format {lib db}
set_operating_conditions -analysis_type single
write_sdf max.sdf -version 2.1 -context verilog 

} else {
    if {$maxtypmin_case == 1} {
    #typ case
report_timing > ./reports_sta/timing_typ.rpt
report_constraint -all_violator -verbose > ./reports_sta/violator_typ.rpt
report_constraint -all_violator  > ./reports_sta/violator1_typ.rpt
report_power   > ./reports_sta/power_typ.rpt
#extract_model -output ./reports_sta/single_dig_typ -format {lib}
set_operating_conditions -analysis_type single
write_sdf typ.sdf -version 2.1 -context verilog 
    } else {
    #min case
report_timing -delay min > ./reports_sta/timing_min.rpt
report_constraint -all_violator -verbose > ./reports_sta/violator_min.rpt
report_constraint -all_violator  > ./reports_sta/violator1_min.rpt
report_power   > ./reports_sta/power_min.rpt
#extract_model -output ./reports_sta/single_dig_min -library_cell -format {lib db}
set_operating_conditions -analysis_type single
write_sdf min.sdf -version 2.1 -context verilog 
    }
}





